VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT:
[legend]

## Public Member Functions

| PipelineRasterizationConservativeStateCreateInfoEXT (PipelineRasterizationConservativeStateCreateFlagsEXT flags_=PipelineRasterizationConservativeStateCreateFlagsEXT(), ConservativeRasterizationModeEXT conservativeRasterizationMode_=ConservativeRasterizationModeEXT::eDisabled, float extraPrimitiveOverestimationSize_=0)
| PipelineRasterizationConservativeStateCreateInfoEXT (VkPipelineRasterizationConservativeStateCreateInfoEXT const &rhs)
PipelineRasterizationConservativeStateCreateInfoEXT & | operator= (VkPipelineRasterizationConservativeStateCreateInfoEXT const &rhs)
PipelineRasterizationConservativeStateCreateInfoEXT & | setPNext (const void *pNext_)
PipelineRasterizationConservativeStateCreateInfoEXT & | setFlags (PipelineRasterizationConservativeStateCreateFlagsEXT flags_)
PipelineRasterizationConservativeStateCreateInfoEXT & | setConservativeRasterizationMode (ConservativeRasterizationModeEXT conservativeRasterizationMode_)
PipelineRasterizationConservativeStateCreateInfoEXT & | setExtraPrimitiveOverestimationSize (float extraPrimitiveOverestimationSize_)
| operator VkPipelineRasterizationConservativeStateCreateInfoEXT const & () const
| operator VkPipelineRasterizationConservativeStateCreateInfoEXT & ()
bool | operator== (PipelineRasterizationConservativeStateCreateInfoEXT const &rhs) const
bool | operator!= (PipelineRasterizationConservativeStateCreateInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineRasterizationConservativeStateCreateFlagsEXT | flags
ConservativeRasterizationModeEXT | conservativeRasterizationMode
float | extraPrimitiveOverestimationSize

## Private Attributes

StructureType | sType = StructureType::ePipelineRasterizationConservativeStateCreateInfoEXT

## Detailed Description

Definition at line 36171 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PipelineRasterizationConservativeStateCreateInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::PipelineRasterizationConservativeStateCreateInfoEXT | ( | PipelineRasterizationConservativeStateCreateFlagsEXT | flags_ = `PipelineRasterizationConservativeStateCreateFlagsEXT()`,
|  | ConservativeRasterizationModeEXT | conservativeRasterizationMode_ = `ConservativeRasterizationModeEXT::eDisabled`,
|  | float | extraPrimitiveOverestimationSize_ = `0`
| ) |  |

inline

Definition at line 36173 of file vulkan.hpp.

: flags( flags_ )
, conservativeRasterizationMode( conservativeRasterizationMode_ )
, extraPrimitiveOverestimationSize( extraPrimitiveOverestimationSize_ )
{
}

## PipelineRasterizationConservativeStateCreateInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::PipelineRasterizationConservativeStateCreateInfoEXT | ( | VkPipelineRasterizationConservativeStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 36182 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineRasterizationConservativeStateCreateInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkPipelineRasterizationConservativeStateCreateInfoEXT &()

VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator VkPipelineRasterizationConservativeStateCreateInfoEXT & | ( |  | ) |

inline

Definition at line 36221 of file vulkan.hpp.

{
return *reinterpret_cast<VkPipelineRasterizationConservativeStateCreateInfoEXT*>(this);
}

## operator VkPipelineRasterizationConservativeStateCreateInfoEXT const &()

VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator VkPipelineRasterizationConservativeStateCreateInfoEXT const & | ( |  | ) | const

inline

Definition at line 36216 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPipelineRasterizationConservativeStateCreateInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator!= | ( | PipelineRasterizationConservativeStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 36235 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PipelineRasterizationConservativeStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator= | ( | VkPipelineRasterizationConservativeStateCreateInfoEXT const & | rhs | ) |

inline

Definition at line 36187 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PipelineRasterizationConservativeStateCreateInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator== | ( | PipelineRasterizationConservativeStateCreateInfoEXT const & | rhs | ) | const

inline

Definition at line 36226 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( conservativeRasterizationMode == rhs.conservativeRasterizationMode )
&& ( extraPrimitiveOverestimationSize == rhs.extraPrimitiveOverestimationSize );
}

References conservativeRasterizationMode, extraPrimitiveOverestimationSize, flags, pNext, and sType.

Referenced by operator!=().

## setConservativeRasterizationMode()

PipelineRasterizationConservativeStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::setConservativeRasterizationMode | ( | ConservativeRasterizationModeEXT | conservativeRasterizationMode_ | ) |

inline

Definition at line 36204 of file vulkan.hpp.

{
conservativeRasterizationMode = conservativeRasterizationMode_;
return *this;
}

References conservativeRasterizationMode.

## setExtraPrimitiveOverestimationSize()

PipelineRasterizationConservativeStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::setExtraPrimitiveOverestimationSize | ( | float | extraPrimitiveOverestimationSize_ | ) |

inline

Definition at line 36210 of file vulkan.hpp.

{
extraPrimitiveOverestimationSize = extraPrimitiveOverestimationSize_;
return *this;
}

References extraPrimitiveOverestimationSize.

## setFlags()

PipelineRasterizationConservativeStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::setFlags | ( | PipelineRasterizationConservativeStateCreateFlagsEXT | flags_ | ) |

inline

Definition at line 36198 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPNext()

PipelineRasterizationConservativeStateCreateInfoEXT& VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 36192 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## conservativeRasterizationMode

ConservativeRasterizationModeEXT VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::conservativeRasterizationMode

Definition at line 36246 of file vulkan.hpp.

Referenced by operator==(), and setConservativeRasterizationMode().

## extraPrimitiveOverestimationSize

float VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::extraPrimitiveOverestimationSize

Definition at line 36247 of file vulkan.hpp.

Referenced by operator==(), and setExtraPrimitiveOverestimationSize().

## flags

PipelineRasterizationConservativeStateCreateFlagsEXT VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::flags

Definition at line 36245 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::pNext = nullptr

Definition at line 36244 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::sType = StructureType::ePipelineRasterizationConservativeStateCreateInfoEXT

private

Definition at line 36241 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VkPipelineRasterizationConservativeStateCreateInfoEXT
Definition: vulkan_core.h:7331
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:36241
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::operator==
bool operator==(PipelineRasterizationConservativeStateCreateInfoEXT const &rhs) const
Definition: vulkan.hpp:36226
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::PipelineRasterizationConservativeStateCreateInfoEXT
PipelineRasterizationConservativeStateCreateInfoEXT(PipelineRasterizationConservativeStateCreateFlagsEXT flags_=PipelineRasterizationConservativeStateCreateFlagsEXT(), ConservativeRasterizationModeEXT conservativeRasterizationMode_=ConservativeRasterizationModeEXT::eDisabled, float extraPrimitiveOverestimationSize_=0)
Definition: vulkan.hpp:36173
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::conservativeRasterizationMode
ConservativeRasterizationModeEXT conservativeRasterizationMode
Definition: vulkan.hpp:36246
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:36244
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::extraPrimitiveOverestimationSize
float extraPrimitiveOverestimationSize
Definition: vulkan.hpp:36247
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::PipelineRasterizationConservativeStateCreateInfoEXT::flags
PipelineRasterizationConservativeStateCreateFlagsEXT flags
Definition: vulkan.hpp:36245